rte_crypto_asym_xform(3)

NAME
rte_crypto_asym_xform

SYNOPSIS

#include <rte_crypto_asym.h>

  Data Fields

struct rte_crypto_asym_xform * next
enum rte_crypto_asym_xform_type xform_type

Detailed Description

Asymmetric crypto transform data

Structure describing asym xforms.

Definition at line 1056 of file rte_crypto_asym.h.

Field Documentation

  struct rte_crypto_asym_xform* next
Pointer to next xform to set up xform chain.

Definition at line 1057 of file rte_crypto_asym.h.

  enum rte_crypto_asym_xform_type xform_type
Asymmetric crypto transform

Definition at line 1059 of file rte_crypto_asym.h.

  struct rte_crypto_rsa_xform rsa
RSA xform parameters

Definition at line 1063 of file rte_crypto_asym.h.

  struct rte_crypto_modex_xform modex
Modular Exponentiation xform parameters

Definition at line 1066 of file rte_crypto_asym.h.

  struct rte_crypto_modinv_xform modinv
Modular Multiplicative Inverse xform parameters

Definition at line 1069 of file rte_crypto_asym.h.

  struct rte_crypto_dh_xform dh
DH xform parameters

Definition at line 1072 of file rte_crypto_asym.h.

  struct rte_crypto_dsa_xform dsa
DSA xform parameters

Definition at line 1075 of file rte_crypto_asym.h.

  struct rte_crypto_ec_xform ec
EC xform parameters, used by elliptic curve based operations.

Definition at line 1078 of file rte_crypto_asym.h.

  struct rte_crypto_ml_kem_xform mlkem
PQC ML-KEM xform parameters

Definition at line 1083 of file rte_crypto_asym.h.

  struct rte_crypto_ml_dsa_xform mldsa
PQC ML-DSA xform parameters

Definition at line 1086 of file rte_crypto_asym.h.

Author

Generated automatically by Doxygen for DPDK from the source code.